/* The lint marker gutter */
.CodeMirror-lint-markers {
  width: 16px;
}

.CodeMirror-lint-tooltip {
  background-color: #ffffff;
  border: 1px solid #999999;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 1px;
  -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
  box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
  color: infotext;
  font-family: monospace;
  font-size: 10pt;
  overflow: hidden;
  padding: 10px;
  position: fixed;
  z-index: 100;
  max-width: 600px;
  opacity: 0;
  z-index: 99999999999999999999;
}

.CodeMirror-lint-mark-error, .CodeMirror-lint-mark-warning {
  background-position: left bottom;
  background-repeat: repeat-x;
}

.CodeMirror-lint-mark-error {
  background-image:
  url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAADCAYAAAC09K7GAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9sJDw4cOCW1/KIAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAAHElEQVQI12NggIL/DAz/GdA5/xkY/qPKMDAwAADLZwf5rvm+LQAAAABJRU5ErkJggg==")
  ;
}

.CodeMirror-lint-mark-warning {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAADCAYAAAC09K7GAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9sJFhQXEbhTg7YAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAAMklEQVQI12NkgIIvJ3QXMjAwdDN+OaEbysDA4MPAwNDNwMCwiOHLCd1zX07o6kBVGQEAKBANtobskNMAAAAASUVORK5CYII=");
}

.CodeMirror-lint-marker-error, .CodeMirror-lint-marker-warning {
  background-position: center center;
  background-repeat: no-repeat;
  cursor: pointer;
  display: inline-block;
  height: 16px;
  width: 16px;
  vertical-align: middle;
  position: relative;
}

.CodeMirror-lint-message-error, .CodeMirror-lint-message-warning {
  padding-left: 18px;
  background-position: top left;
  background-repeat: no-repeat;
}

.CodeMirror-lint-marker-error, .CodeMirror-lint-message-error {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3wgOES0g+bOLyAAAAXJJREFUOMvd0M9KG1EUx/HviXdoZsDUNuIfXOjCTchGpUofoPMUeQ03gkgeQB/BZaHbdtdmFRAKtYirLAS7CxkJdEzI3Mn8ufd2qwNxb8/udxYffufAqx+pLm6g4UMngFDBZgkjDb0UPh/A9EXgNzRW4Pz90VGoWq11guANWmflYPDw9/q69wjHHypI7WmoQ+fd4WHotds7UhS+TCY1KQrfa7V2Vvb3P9WhU23wDPAhVNvbay6KHGkKWQZpCnGMajZXA5GwCqhK2MAYwRiH1oJSYAxYS81aX3neFnm+GMggYjwGz3NOxFIUIiDOGOfmc5MZM3qxwSP03t7f79WbzS1ZXl6iLHHW4rTO5sNhFBvzvQosPQ0f4a4xm+3WtV5Ts1kgnlcjz202Gj1E0+mPW7j4BtlCoH1y4qKrqz82z9MySdIijpN4MhncJcnXX/AlOjsb9/v9fOEJgIlPT4c/lboELgGk2xXX7TrnXFnklQ/+H/MPx/uqVzV+XBQAAAAASUVORK5CYII=");
}

.CodeMirror-lint-marker-warning, .CodeMirror-lint-message-warning {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3wgOETIsPV/JfQAAAXxJREFUOMvV07FPU1EUx/Hvue9pYwrqIJUGjaRx0DiwGJOayGSMDkrkr/FP8B9xICQshESGbk1YXHSh1lqh1QYoNSLP9x733nePKzG2Dp38bWf5DL9zjqgq08QwZaYG4vPDzoYhjpkxhudAHZgDhsBOCGx6T1JfDeMBYCYEXlVurT6t3HxcK5VmL9uzk+Swt/3wYG/zHvAaSMYCRWClsrjyrHrj0VJwx96e9SPQK/ML9SVrUznsNXaBN2M7cI7la/MPbufJZwr/K/I+w7pck9MDLc8u1pxjeWIH1lKNpCjnwWnkT40rLJFEeEV+FqNL1lL9FzD6ftJOxaRlBYklxqkQVExwx7m1jCauMcu1ud9uDoSvhtCXEEaEMBDVj+Zor/Uty7U5EVjbYr3b+tJov+90imyYXpBecFk/7XzodvY/DRtrW6z/Ccj5UxaRiwvXufPyCS/u1rgfRcwVBcPdLu82tnk7OKKlqskkIAKuAqW/HJ0HfqiqHQv8n8/0G8a8v6t0JR+lAAAAAElFTkSuQmCC");
}

.CodeMirror-lint-marker-multiple {
  width: 100%; height: 100%;
}
